﻿
# vizcovidfr
## A python package to visualize spatial evolution of Covid19 cases in France

[![Documentation Status](https://readthedocs.org/projects/vizcovidfr/badge/?version=latest)](https://vizcovidfr.readthedocs.io/en/latest/?badge=latest)

<p align="center">
<img src="./doc/source/_static/vizcovidfr_transfer_map.png" style="vertical-align:middle" width="600" height='400' class='center' alt='logo'>
</p>


As part of our course [HMMA238](https://github.com/bcharlier/HMMA238) 'Software Development', we are working on a team project.

The documentation of vizcovidfr is available [here](https://vizcovidfr.readthedocs.io/en/latest/index.html)


### Project description

The goal of our project is to analyze the spreading of the covid19 disease in France.
The main idea is to provide a python package for Covid data visualization.
The package would contain several sub-modules, each of which containing several functions for specific visualization purpose. One should be able to use these by passing arguments corresponding to the desired output. We want our package to be easy to use and plan on building a clear and detailed documentation.
Hopefully our modules will also provide functions for animated and interactive data visualization.

We use Covid-related [datasets available on data.gouv.fr](https://www.data.gouv.fr/en/datasets/).

### Members

- Foux Quentin, quentin.foux@etu.umontpellier.fr
- Llinares Laurent, laurent.llinares@etu.umontpellier.fr
- Nicolas Alexandre, alexandre.nicolas@etu.umontpellier.fr
- Vernay Amelie, amelie.vernay@etu.umontpellier.fr

### Roles

- Foux Quentin: line charts / piecharts / maps (vacmap)
- Llinares Laurent: line charts / bar plots / heatmap
- Nicolas Alexandre: bar plots / regression / prediction
- Vernay Amelie: maps / sparse / time

- Everyone: module architecture, documentation, unit tests...

### Beamer presentation

Our beamer presentation for vizcovidfr is available on GitHub and on YouTube : https://www.youtube.com/watch?v=ctnLmTIPBqU